#include "list.h"

List::List()
{
	mMaxSize = 2;
	mSize = 0;
	mValues = new string[mMaxSize];
}

List::~List()
{
	delete [] mValues;
}

int List::size()
{
	return mSize;
}

bool List::isEmpty()
{
	return mSize == 0;
}

void List::add(string value)
{
	if(!hasPlace())
	{
		increaseSize();
	}
	mValues[mSize] = value;
	++mSize;
}

string List::operator[] (int index)
{
	return mValues[index];
}

bool List::hasPlace()
{
	if(mSize == mMaxSize)
	{
		return true;
	}
	return false;
}

void List::increaseSize()
{
	mMaxSize *= 2;
	string *newValues = new string[mMaxSize];
	if(mValues != NULL)
	{
		for(int i = 0; i < mSize; ++i)
		{
			newValues[i] = mValues[i];
		}
		delete [] mValues;
	}
	mValues = newValues;
}
