#include "weaponlist.h"
#include <iostream>

using namespace std;

int main()
{
	cout << endl;
	cout << "*************************************" << endl;
	cout << "**          Game Patterns          **" << endl;
	cout << "**             Iterator            **" << endl;
	cout << "*************************************" << endl;
	cout << "**       Christoph Stallmann       **" << endl;
	cout << "**      University of Pretoria     **" << endl;
	cout << "**          COS121 - 2012          **" << endl;
	cout << "*************************************" << endl;
	cout << endl;

	WeaponList list;
	list.add("Hidden Blade");
	list.add("Crossbow");
	list.add("Sword");

	cout << endl;

	Iterator *iterator = list.iterator();
	for(iterator->first(); !iterator->isDone(); iterator->next())
	{
		cout << "Selected weapon: " << iterator->current() << endl;
	}

	delete iterator;
	cout << endl;

	return 0;
}
