#include "weaponiterator.h"

WeaponIterator::WeaponIterator(WeaponList *list)
	: Iterator()
{
	mList = list;
	mCurrent = -1;
}

void WeaponIterator::first()
{
	mCurrent = 0;
}

void WeaponIterator::next()
{
	++mCurrent;
}

string WeaponIterator::current()
{
	if(mList->size() == 0)
	{
		return "";
	}
	return (*mList)[mCurrent];
}

bool WeaponIterator::isDone()
{
	if(mCurrent == mList->size())
	{
		return true;
	}
	return false;
}
