#ifndef LIST_H
#define LIST_H

#include "iterator.h"
#include <string>

using namespace std;

/*

Aggregate
Abstract class

*/

class List
{

	public:

		List();
		virtual ~List();
		virtual int size();
		virtual bool isEmpty();
		virtual void add(string value);
		virtual string operator[] (int index); 
		virtual Iterator* iterator() = 0;

	protected:

		bool hasPlace();
		void increaseSize();

	protected:

		int mSize;
		int mMaxSize;
		string *mValues;

};

#endif
